%global snapshot 1
Summary: libgoldilocks
Name: libgoldilocks
Version: 0.0
Release: 1%{?dist}
License: GPLv2 and LGPLv2
Group: System Environment/Libraries
Source0: https://github.com/otrv4/libgoldilocks/libgoldilocks-0.0.tar.gz
Url: http://otr.cypherpunks.ca/
##Provides: libotr-toolkit = %{version}
##Obsoletes: libotr-toolkit < %{version}
#Requires: libgcrypt >= 1.8.0
##Requires: pkgconfig
BuildRequires:  gcc
#BuildRequires: splint glib2-devel libsodium-devel libotr-devel
%if %{snapshot}
Buildrequires: libtool automake autoconf
%endif

%description
libgoldilocks

%package devel
Summary: Development library and include files for libgoldilocks
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The devel package contains the libotr library and include files.

%prep
%setup -q

%if %{snapshot}
aclocal
autoreconf -s -i
%endif

%build
%configure --with-pic --disable-rpath --disable-static
make %{?_smp_mflags} all

%install
rm -rf $RPM_BUILD_ROOT
make \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBINSTDIR=%{_libdir} \
	install
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license LICENSE.txt
%doc CONTRIBUTORS.txt HISTORY.txt TODO.txt
%{_libdir}/libgoldilocks.so.*
#%{_mandir}/man1/*

%files devel
%{_libdir}/libgoldilocks.so
%{_libdir}/pkgconfig/libgoldilocks.pc
%dir %{_includedir}/goldilocks
%{_includedir}/goldilocks/*
%{_includedir}/goldilocks.h*
#%{_datadir}/aclocal/*


%changelog
* Wed Nov 07 2018 Paul Wouters <pwouters@redhat.com> - 0.0-1
- Initial package
